%define pkg_name        HTML-Template
%define pkg_version     2.9
%define rpm_pkg_version 2.9
%define rpm_pkg_release 1.n0i.9

Summary:       A simple HTML templating system
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SA/SAMTREGAR/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Scalar::Util)
%endif


%description
This module attempts to make using HTML templates simple and natural. It
extends standard HTML with a few new HTML-esque tags - <TMPL_VAR>,
<TMPL_LOOP>, <TMPL_INCLUDE>, <TMPL_IF>, <TMPL_ELSE> and <TMPL_UNLESS>. The
file written with HTML and these new tags is called a template. It is usually
saved separate from your script - possibly even created by someone else! Using
this module you fill in the values for the variables, loops and branches
declared in the template. This allows you to separate design - the HTML - from
the data, which you generate in the Perl script.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ANNOUNCE ARTISTIC Changes FAQ GPL README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.9-1.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 2.9

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 2.8-2.n0i.8
- automatic rebuild (perl 5.8.8)

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 2.8-1.n0i.7
- version 2.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 2.7-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:2.7-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:2.7-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:2.7-2.n0i.3
- version 2.7

* Thu May 06 2004 Marius Feraru <altblue@n0i.net> 0:2.6-1.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Mon Jul 28 2003 Marius Feraru <altblue@n0i.net> 0:2.6-0.n0i
- initial build
